CVE-2008-1483

NameCVE-2008-1483
DescriptionOpenSSH 4.3p2, and probably other versions, allows local users to hijack forwarded X connections by causing ssh to set DISPLAY to :10, even when another process is listening on the associated port, as demonstrated by opening TCP port 6010 (IPv4) and sniffing a cookie sent by Emacs.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-1576-1
NVD severitymedium (attack range: local)
Debian Bugs463011

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
openssh (PTS)wheezy1:6.0p1-4+deb7u4fixed
wheezy (security)1:6.0p1-4+deb7u6fixed
jessie1:6.7p1-5+deb8u4fixed
jessie (security)1:6.7p1-5+deb8u3fixed
stretch1:7.4p1-10+deb9u2fixed
buster, sid1:7.6p1-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
opensshsource(unstable)1:4.7p1-5medium463011
opensshsourceetch1:4.3p2-9etch2mediumDSA-1576-1

Search for package or bug name: Reporting problems